<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2021 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<configuration description="Config for CTS SJP Test">
    <option name="test-suite-tag" value="cts" />
    <option name="config-descriptor:metadata" key="component" value="systems" />
    <option name="config-descriptor:metadata" key="parameter" value="not_instant_app" />
    <option name="config-descriptor:metadata" key="parameter" value="not_multi_abi" />
    <option name="config-descriptor:metadata" key="parameter" value="secondary_user" />
    <option name="config-descriptor:metadata" key="parameter" value="secondary_user_on_secondary_display" />
    <test class="com.android.tradefed.testtype.HostTest" >
        <option name="jar" value="CtsClasspathsTestCases.jar" />
    </test>

    <!-- Run tests when "com.google.android.sdkext" is on device.
      Otherwise skip. The logic only applies to situations when this
      is triggered via mts-tradefed. It is disabled for all other *TS.
    -->
    <object type="module_controller" class="com.android.tradefed.testtype.suite.module.MainlineTestModuleController">
        <option name="mainline-module-package-name" value="com.google.android.sdkext" />
    </object>
</configuration>
